JBoss API: Class CMPFieldMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.metadata
Class CMPFieldMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.ejb.plugins.jaws.metadata.CMPFieldMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class CMPFieldMetaData
extends MetaData
implements XmlLoadable

This class holds all the information jaws needs to know about a CMP field It loads its data from standardjaws.xml and jaws.xml

Version:
  $Revision: 1.6.4.3 $

  Revisions:

  20020225 danch:

  - Make 'does not have a get method' messages more informative
Author:
  Sebastien Alborini, Dirk Zimmermann, Vincent Harcq
See Also:

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`CMPFieldMetaData(java.lang.String name, JawsEntityMetaData jawsEntity)`

Method Summary
`java.lang.String` | `getColumnName()`
`java.lang.reflect.Field` | `getField()`
`java.lang.Class` | `getFieldType()` We don't rely on the field alone for getting the type since we support nested field like 'data.categoryPK'.
`static java.lang.String` | `getFirstComponent(java.lang.String name)` Returns the first component of a composite fieldName.
`JawsEntityMetaData` | `getJawsEntity()`
`int` | `getJDBCType()`
`static java.lang.String` | `getLastComponent(java.lang.String name)` Returns the last component of a composite fieldName.
`java.lang.String` | `getName()`
`java.lang.String` | `getSQLType()`
`java.lang.Object` | `getValue(java.lang.Object instance)` Returns the value of this field.
`void` | `importXml(org.w3c.dom.Element element)`
`boolean` | `isAPrimaryKeyField()`
`boolean` | `isEJBReference()`
`boolean` | `isNested()`
`void` | `set(java.lang.Object instance, java.lang.Object value)` Is used mainly for nested fields.

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importEjbJarXml, importJbossXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMPFieldMetaData

    public CMPFieldMetaData(java.lang.String name,
                            JawsEntityMetaData jawsEntity)
                     throws DeploymentException

Method Detail

### getName

    public java.lang.String getName()

### getField

    public java.lang.reflect.Field getField()

### getJDBCType

    public int getJDBCType()

### getSQLType

    public java.lang.String getSQLType()

### getColumnName

    public java.lang.String getColumnName()

### isEJBReference

    public boolean isEJBReference()

### isAPrimaryKeyField

    public boolean isAPrimaryKeyField()

### getJawsEntity

    public JawsEntityMetaData getJawsEntity()

### getLastComponent

    public static java.lang.String getLastComponent(java.lang.String name)

  Returns the last component of a composite fieldName. E.g., for "data.categoryPK" it will return "categoryPK".

### getFirstComponent

    public static java.lang.String getFirstComponent(java.lang.String name)

  Returns the first component of a composite fieldName. E.g., for "data.categoryPK" it will return "data".

### getFieldType

    public java.lang.Class getFieldType()

  We don't rely on the field alone for getting the type since we support nested field like 'data.categoryPK'.

### set

    public void set(java.lang.Object instance,
                    java.lang.Object value)

  Is used mainly for nested fields. Sets the value of a nested field.

### getValue

    public java.lang.Object getValue(java.lang.Object instance)

  Returns the value of this field.

### isNested

    public boolean isNested()

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Specified by:
    `importXml` in interface `XmlLoadable`
  Overrides:
    `importXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.